# Deployer API

The deployment is exposed within the cluster with a dedicated service.

### Containers

#### Main Container

Main container of this chart is an python based process, which executes actual service.

### Configuration

#### Local Configuration

Chart contains:

* 1 x config map containing build/execution files mounted on /app/config
* 1 x environment config map that includes cloud related variables

#### Global Configuration

Chart containers also have access to:

* global-config: Mounted on /app/globalconfig including key-value pairs and extra lines to include in application.properties files
* global-config-env: A config map that can be used to add environment variables for all namespace deployments
* global-secrets: Mounted on /app/globalsecrets including key-secret pairs and extra lines to include in application.properties files
* global-secrets-env: A secret that can be used to add environment variables for all namespace deployments

### Configuration

The following table lists the configurable parameters of the Deployerapi chart and their default values.

| Parameter        | Description | Default             |
| ---------------- | ----------- | ------------------- |
| `namespace`      |             | `"deployment"`      |
| `serviceAccount` |             | `"deployer-sa"`     |
| `cloud`          |             | `"TBD"`             |
| `poolSelector`   |             | `"TBD"`             |
| `pool`           |             | `"infra-node-pool"` |
| `strategyType`   |             | `"Recreate"`        |
| `replicaCount`   |             | `1`                 |
| `port`           |             | `5000`              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rierino.com/installation/artifacts/helm-charts/initialization-charts/deployer-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
